#!/bin/bash
# Netperf installer
P=netperf-install
DEFAULT_VERSION=2.4.5
. $SHELLPACK_INCLUDE/common.sh
WEB_LOCATION=ftp://ftp.netperf.org/netperf/archive
MIRROR_LOCATION="$WEBROOT/netperf/"

# Basic argument parser
while [ "$1" != "" ]; do
	case "$1" in
	-v)
		VERSION=$2
		shift 2
		;;
	*)
		echo Unrecognised option: $1
		shift
	esac
done
if [ -z "$VERSION" ]; then
	VERSION=$DEFAULT_VERSION
fi

# Unconditionally fetch the tar to find out the real version number
TARFILE=netperf-${VERSION}.tar.gz
sources_fetch $WEB_LOCATION/$TARFILE $MIRROR_LOCATION/$TARFILE $SHELLPACK_SOURCES/$TARFILE
cd $SHELLPACK_SOURCES
tar -xf $TARFILE
if [ $? -ne 0 ]; then
        error "$P: tar xf netperf-${VERSION}.tar.gz failed"
        popd > /dev/null
        exit $SHELLPACK_ERROR
fi

# Rename directory to something we expect.
DST_DIR=`tar tf $TARFILE | head -n 1 | awk -F / '{print $1}'`
mv $DST_DIR netperf-${VERSION}
pushd netperf-${VERSION} > /dev/null || die Failed to rename tar

pushd $SHELLPACK_SOURCES/netperf-${VERSION} || die Failed to change to source directory
INSTALLPATH=$SHELLPACK_SOURCES/netperf-${VERSION}-installed
rm -rf $INSTALLPATH
CFLAGS="-O2" ./configure --prefix=$INSTALLPATH
if [ $? -ne 0 ]; then
	error "$P: configure failed"
	popd > /dev/null
	exit $SHELLPACK_ERROR
fi

make -j$NUMCPUS
if [ $? -ne 0 ]; then
	error "$P: make failed"
	popd > /dev/null
	exit $SHELLPACK_ERROR
fi
make install
if [ $? -ne 0 ]; then
	error "$P: make install failed"
	popd > /dev/null
	exit $SHELLPACK_ERROR
fi

echo Netperf installed successfully
#### Description Netperf benchmark
#### Details netperf 14
